Bug 175310 - [maintainer update] net-p2p/retroshare to 0.5.4d
[maintainer update] net-p2p/retroshare to 0.5.4d
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 22:10 UTC by peter
Modified: 2013-02-28 22:00 UTC (History)
0 users

See Also:


Attachments
retroshare.diff (5.14 KB, patch)
2013-01-14 22:10 UTC, peter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description peter 2013-01-14 22:10:01 UTC
    * Update to RetroShare 0.5.4d
    * VoIP plugin
    * Added file: files/patch-plugins-VOIP-VOIP.pro

How-To-Repeat: Update to 0.5.4d
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-02-17 14:48:50 UTC
State Changed
From-To: open->feedback

Doesn't build here. Please see the log: 
http://people.freebsd.org/~rm/retroshare-0.5.4d.log
Comment 2 peter 2013-02-26 19:20:28 UTC
Hi,

does build now, please see also the logs on redports:

9.1-RELEASE/amd64
https://redports.org/buildarchive/20130224215249-15923
7.4-/8.3-RELEASE
https://redports.org/buildarchive/20130225125459-85102


please use this patch:

http://www.netkey.at/peter/retroshare.update.to.0.5.4d.diff

thank you
Comment 3 dfilter freebsd_committer 2013-02-28 21:52:35 UTC
Author: pawel
Date: Thu Feb 28 21:52:26 2013
New Revision: 313128
URL: http://svnweb.freebsd.org/changeset/ports/313128

Log:
  - Update to version 0.5.4d [1]
  - Add option to install plugins [1]
  - Fix build with clang
  
  PR:		ports/175310 [1]
  Submitted by:	Peter Klett <peter@netkey.at> (maintainer)

Added:
  head/net-p2p/retroshare/files/patch-plugins-VOIP-VOIP.pro   (contents, props changed)
  head/net-p2p/retroshare/files/patch-retroshare-gui-src-gui-common-GroupTreeWidget.cpp   (contents, props changed)
Modified:
  head/net-p2p/retroshare/Makefile
  head/net-p2p/retroshare/distinfo   (contents, props changed)
  head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro
  head/net-p2p/retroshare/pkg-plist   (contents, props changed)

Modified: head/net-p2p/retroshare/Makefile
==============================================================================
--- head/net-p2p/retroshare/Makefile	Thu Feb 28 21:02:28 2013	(r313127)
+++ head/net-p2p/retroshare/Makefile	Thu Feb 28 21:52:26 2013	(r313128)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	retroshare
-PORTVERSION=	0.5.4b
-PORTREVISION=	2
+PORTVERSION=	0.5.4d
 CATEGORIES=	net-p2p
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=${PORTNAME}/${BINARY}/${PORTVERSION}
@@ -45,17 +44,26 @@ MAKE_JOBS_UNSAFE=yes
 DESKTOP_ENTRIES="${BINARY}" "${COMMENT}" "" "${BINARY}" \
 		"Network;FileTransfer;" true
 
-OPTIONS_DEFINE=	NOGUI
-NOGUI_DESC=		"Install retroshare-nogui binary"
+OPTIONS_DEFINE=	NOGUI PLUGINS
+OPTIONS_DEFAULT=	PLUGINS
+NOGUI_DESC=		Install retroshare-nogui (CLI binary)
+PLUGINS_DESC=	Install plugins (LinksCloud, VoIP)
 
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MPLUGINS}
+LIB_DEPENDS+=	speex:${PORTSDIR}/audio/speex
+USE_QT4+=	multimedia
+USE_LDCONFIG=	yes
+.endif
+
 do-configure:
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
 		${QMAKE} PREFIX=${PREFIX} ${BINARY}.pro
 
 USE_DOS2UNIX=	retroshare-gui/src/retroshare-gui.pro \
-	retroshare-nogui/src/retroshare-nogui.pro
+		retroshare-nogui/src/retroshare-nogui.pro \
+		retroshare-gui/src/gui/common/GroupTreeWidget.cpp
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
@@ -69,13 +77,22 @@ post-patch:
 .if empty(PORT_OPTIONS:MNOGUI)
 	@${REINPLACE_CMD} -e 's|retroshare-nogui|#retroshare-nogui|' \
 		${WRKSRC}/${BINARY}.pro
+.if empty(PORT_OPTIONS:MPLUGINS)
 	@${REINPLACE_CMD} -e 's|retroshare-gui.pro \\|retroshare-gui.pro|' \
 		${WRKSRC}/${BINARY}.pro
+.endif
 .else
+.if empty(PORT_OPTIONS:MPLUGINS)
 	@${REINPLACE_CMD} -e 's|retroshare-nogui.pro \\|retroshare-nogui.pro|' \
 		${WRKSRC}/${BINARY}.pro
 .endif
+.endif
+.if empty(PORT_OPTIONS:MPLUGINS)
 	@${REINPLACE_CMD} -e 's|plugins|#plugins|' ${WRKSRC}/${BINARY}.pro
+.else
+	@${REINPLACE_CMD} -e 's|/usr/lib|${LOCALBASE}/lib|' \
+		${WRKSRC}/libretroshare/src/rsserver/rsinit.cc
+.endif
 
 pre-install:
 .if empty(PORT_OPTIONS:MNOGUI)
@@ -83,6 +100,11 @@ PLIST_SUB+=	NOGUI="@comment "
 .else
 PLIST_SUB+=	NOGUI=""
 .endif
+.if empty(PORT_OPTIONS:MPLUGINS)
+PLIST_SUB+=	PLUGINS="@comment "
+.else
+PLIST_SUB+=	PLUGINS=""
+.endif
 
 post-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/retroshare-gui/src/${BINARY} ${PREFIX}/bin
@@ -91,5 +113,16 @@ post-install:
 .endif
 	${MKDIR} ${DATADIR}
 	${INSTALL_MAN} ${WRKSRC}/libbitdht/src/example/bdboot.txt ${DATADIR}
+.if ${PORT_OPTIONS:MPLUGINS}
+	${MKDIR} ${PREFIX}/lib/retroshare
+	${MKDIR} ${PREFIX}/lib/retroshare/extensions
+	${INSTALL_LIB} ${WRKSRC}/plugins/LinksCloud/libLinksCloud.so.1.0.0 \
+		${PREFIX}/lib/retroshare/extensions/libLinksCloud.so.1
+	${INSTALL_LIB} ${WRKSRC}/plugins/VOIP/libVOIP.so.1.0.0 \
+		${PREFIX}/lib/retroshare/extensions/libVOIP.so.1
+	@cd ${PREFIX}/lib/retroshare/extensions && \
+		${LN} -s libLinksCloud.so.1 libLinksCloud.so && \
+		${LN} -s libVOIP.so.1 libVOIP.so
+.endif
 
 .include <bsd.port.mk>

Modified: head/net-p2p/retroshare/distinfo
==============================================================================
--- head/net-p2p/retroshare/distinfo	Thu Feb 28 21:02:28 2013	(r313127)
+++ head/net-p2p/retroshare/distinfo	Thu Feb 28 21:52:26 2013	(r313128)
@@ -1,2 +1,2 @@
-SHA256 (RetroShare-v0.5.4b.tar.gz) = 6570f9e3eab077e4f5637cf98c7b72c30afea5b2b811df6398d4919a1c2c0134
-SIZE (RetroShare-v0.5.4b.tar.gz) = 7322037
+SHA256 (RetroShare-v0.5.4d.tar.gz) = 2c5bcd1764829abc260d5c9328088a09307c00f0e15c3cc12a08ba3584d549c7
+SIZE (RetroShare-v0.5.4d.tar.gz) = 15914197

Added: head/net-p2p/retroshare/files/patch-plugins-VOIP-VOIP.pro
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/retroshare/files/patch-plugins-VOIP-VOIP.pro	Thu Feb 28 21:52:26 2013	(r313128)
@@ -0,0 +1,11 @@
+--- plugins/VOIP/VOIP.pro.orig	2012-10-29 11:31:20.931921695 +0100
++++ plugins/VOIP/VOIP.pro	2012-10-29 12:17:47.694925531 +0100
+@@ -9,7 +9,7 @@
+ QT_VER_MAJ = $$member(QT_VERSION, 0)
+ QT_VER_MIN = $$member(QT_VERSION, 1)
+  
+-lessThan(QT_VER_MAJ, 4) | lessThan(QT_VER_MIN, 7) | win32 {
++lessThan(QT_VER_MAJ, 4) | lessThan(QT_VER_MIN, 7) | win32 | freebsd-* {
+    QT += multimedia
+ }
+ 

Added: head/net-p2p/retroshare/files/patch-retroshare-gui-src-gui-common-GroupTreeWidget.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/retroshare/files/patch-retroshare-gui-src-gui-common-GroupTreeWidget.cpp	Thu Feb 28 21:52:26 2013	(r313128)
@@ -0,0 +1,22 @@
+--- ./retroshare-gui/src/gui/common/GroupTreeWidget.cpp.orig	2013-02-28 16:46:27.000000000 +0100
++++ retroshare-gui/src/gui/common/GroupTreeWidget.cpp	2013-02-28 16:47:15.000000000 +0100
+@@ -449,15 +449,15 @@
+ 
+ 	/* Find out which has given word in it */
+ 	QTreeWidgetItemIterator itemIterator(ui->treeWidget);
+-	QTreeWidgetItem *item;
+-	while ((item = *itemIterator) != NULL) {
++	QTreeWidgetItem *item2;
++	while ((item2 = *itemIterator) != NULL) {
+ 		itemIterator++;
+ 
+-		if (item->data(COLUMN_DATA, ROLE_ID).toString().isEmpty()) {
++		if (item2->data(COLUMN_DATA, ROLE_ID).toString().isEmpty()) {
+ 			continue;
+ 		}
+ 
+-		calculateScore(item, filterText);
++		calculateScore(item2, filterText);
+ 	}
+ }
+ 

Modified: head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro
==============================================================================
--- head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro	Thu Feb 28 21:02:28 2013	(r313127)
+++ head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro	Thu Feb 28 21:52:26 2013	(r313128)
@@ -1,6 +1,6 @@
---- retroshare-gui/src/retroshare-gui.pro.orig	2012-10-08 19:37:47.000000000 +0200
-+++ retroshare-gui/src/retroshare-gui.pro	2012-10-08 20:10:51.000000000 +0200
-@@ -175,6 +175,7 @@
+--- retroshare-gui/src/retroshare-gui.pro.orig	2012-10-29 21:09:06.932916323 +0100
++++ retroshare-gui/src/retroshare-gui.pro	2012-10-29 21:10:17.747920258 +0100
+@@ -175,11 +175,14 @@
  freebsd-* {
  	INCLUDEPATH *= /usr/local/include/gpgme
  	LIBS *= ../../libretroshare/src/lib/libretroshare.a
@@ -8,3 +8,10 @@
  	LIBS *= -lssl
  	LIBS *= -lgpgme
  	LIBS *= -lupnp
+ 	LIBS *= -lgnome-keyring
+ 	PRE_TARGETDEPS *= ../../libretroshare/src/lib/libretroshare.a
++	# plugins need this
++	QMAKE_LFLAGS *= -rdynamic
+ }
+ 
+ ############################## Common stuff ######################################

Modified: head/net-p2p/retroshare/pkg-plist
==============================================================================
--- head/net-p2p/retroshare/pkg-plist	Thu Feb 28 21:02:28 2013	(r313127)
+++ head/net-p2p/retroshare/pkg-plist	Thu Feb 28 21:52:26 2013	(r313128)
@@ -1,4 +1,10 @@
 bin/RetroShare
 %%NOGUI%%bin/retroshare-nogui
+%%PLUGINS%%lib/retroshare/extensions/libLinksCloud.so
+%%PLUGINS%%lib/retroshare/extensions/libLinksCloud.so.1
+%%PLUGINS%%lib/retroshare/extensions/libVOIP.so
+%%PLUGINS%%lib/retroshare/extensions/libVOIP.so.1
 %%DATADIR%%/bdboot.txt
 @dirrm %%DATADIR%%
+%%PLUGINS%%@dirrm lib/retroshare/extensions
+%%PLUGINS%%@dirrm lib/retroshare
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2013-02-28 21:53:06 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!